New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

gopher build error #881

Open
shiyuleixia opened this Issue Nov 12, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@shiyuleixia

shiyuleixia commented Nov 12, 2018

Hello, when I tried to build a project with the gopherjs command ,I got errors such as these:
root@default:/go/src/github.com/EngineerKamesh/igb/igweb/client# gopherjs build
cannot find package "github.com/tdewolff/parse/v2" in any of:
/usr/local/go/src/github.com/tdewolff/parse/v2 (from $GOROOT)
/go/src/github.com/tdewolff/parse/v2 (from $GOPATH)

I don't understand what dose the "v2" mean, and there exists a directory called github.com/tdewolff/parse in my $GOPATH/src directory but not an extra "v2" subdirectory

By the way ,I use the version 1.11.2 of both gopherjs and go

@dmitshur

This comment has been minimized.

Member

dmitshur commented Nov 12, 2018

If you look at the import graph of that package, you'll see that it imports go.isomorphicgo.org/go/isok, which imports github.com/tdewolff/minify/css, which in turn imports github.com/tdewolff/parse/v2.

It looks like one of the dependencies is using Go modules, and GopherJS compiler doesn't support modules yet. It has started using modules 6 days ago:

https://github.com/tdewolff/parse/releases/tag/v2.3.5

/cc @EngineerKamesh FYI.

@dmitshur dmitshur added the question label Nov 12, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment